Skip to content

Monitoring - One Platform Organizations Integration API (v1)

Monitoring - Public endpoints to integrate Organization with One Platform

Download OpenAPI description
Languages
Servers
https://docs.namirial.app

Consumptions

Show consumptions of your product in One Platform

Operations

Business Relations

Operations

Consumers

Operations

Contract Items

Operations

Contracts

Operations

Counters

Operations

Product Metrics

Operations

Service Activation Groups

Operations

Advance status of service activation group to 'Confirmed'

Request

Security policies: OrganizationOrGlobalContractEditByOrganization

Security
OpenIdConnect
Path
idstringrequired
serviceActivationGroupIdstringrequired

Id of group

Query
sendNotificationboolean

Optional flag to control whether contract ready email notification should be sent. When false or not provided, no email is sent.

curl -i -X PUT \
  'https://docs.namirial.app/v1/organizations/{id}/service-activation-groups/{serviceActivationGroupId}/confirm?sendNotification=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
groupIdstring

The Service Activation Group identifier

statusstring(int32)

The current status of the Service Activation Group

Enum"Draft""Onboarding""Signing""Provisioning""Completed""Support"
processedContractsArray of objects(ContractStatusUpdateSummaryDto)

Summary of all processed contracts in the group

Response
application/json
{ "groupId": "string", "status": "Draft", "processedContracts": [ { … } ] }

Create a service activation group

Request

Security policies: OrganizationOrGlobalContractCreate

Security
OpenIdConnect
Bodyapplication/jsonrequired
descriptionobject or null

The name for this service activation group

afterSignRedirectUristring or null

The URI to which OP should redirect user after service activation group has been signed (default: no redirect)

contractIdsArray of strings

Identifier of the contracts in this service activation group

curl -i -X POST \
  'https://docs.namirial.app/v1/organizations/{id}/service-activation-groups' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "description": {
      "property1": "string",
      "property2": "string"
    },
    "afterSignRedirectUri": "string",
    "contractIds": [
      "string"
    ]
  }'

Responses

OK

Bodyapplication/json
idstring

GUID identifier.

Example: "c6de6777-1a90-45f2-869d-007421d682a2"
Response
application/json
{ "id": "c6de6777-1a90-45f2-869d-007421d682a2" }

Add contracts to an existing service activation group

Request

Security policies: OrganizationOrGlobalContractEdit

Security
OpenIdConnect
Path
serviceActivationGroupIdstringrequired
Bodyapplication/jsonrequired
contractIdsArray of strings
curl -i -X PUT \
  'https://docs.namirial.app/v1/organizations/{id}/service-activation-groups/{serviceActivationGroupId}/add-contracts' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "contractIds": [
      "string"
    ]
  }'

Responses

OK

Bodyapplication/json
idstring

GUID identifier.

Example: "c6de6777-1a90-45f2-869d-007421d682a2"
Response
application/json
{ "id": "c6de6777-1a90-45f2-869d-007421d682a2" }

Remove contracts from an existing service activation group

Request

Security policies: OrganizationOrGlobalContractEdit

Security
OpenIdConnect
Path
serviceActivationGroupIdstringrequired
Bodyapplication/jsonrequired
contractIdsArray of strings
curl -i -X PUT \
  'https://docs.namirial.app/v1/organizations/{id}/service-activation-groups/{serviceActivationGroupId}/remove-contracts' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "contractIds": [
      "string"
    ]
  }'

Responses

OK

Bodyapplication/json
idstring

GUID identifier.

Example: "c6de6777-1a90-45f2-869d-007421d682a2"
Response
application/json
{ "id": "c6de6777-1a90-45f2-869d-007421d682a2" }